package helloWorld;

import org.eclipse.core.runtime.IPlatformRunnable;
import org.eclipse.swt.widgets.Display;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.application.WorkbenchAdvisor;

public class HelloWorldApplication implements
        IPlatformRunnable {

    public Object run(Object args) throws Exception {
        Display display = PlatformUI.createDisplay();
        try {
            WorkbenchAdvisor advisor = new HelloWorldWorkbenchAdvisor();
            int code = PlatformUI.createAndRunWorkbench(
                    display, advisor); // @
            return (code == PlatformUI.RETURN_RESTART) ? EXIT_RESTART
                    : EXIT_OK; // A
        } finally {
            display.dispose();
        }
    }

}